summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2014-05-06 08:14:29 +0200
committerWaldemar Brodkorb <wbx@openadk.org>2014-05-06 08:14:29 +0200
commitc9613d2548eb756314f2f2e1b5010de4bf8f1816 (patch)
tree793d7f0f8ef3089a835e0b3278edc5e029353c69
parent7517e61aa8d1d7ab72c89585c632463b108624bc (diff)
update to latest upstream, fix Darwin cross-compile
-rw-r--r--package/xfsprogs/Makefile10
-rw-r--r--package/xfsprogs/patches/patch-configure349
-rw-r--r--package/xfsprogs/patches/patch-fsr_xfs_fsr_c14
3 files changed, 12 insertions, 361 deletions
diff --git a/package/xfsprogs/Makefile b/package/xfsprogs/Makefile
index c06803164..35060b06a 100644
--- a/package/xfsprogs/Makefile
+++ b/package/xfsprogs/Makefile
@@ -4,10 +4,10 @@
include ${TOPDIR}/rules.mk
PKG_NAME:= xfsprogs
-PKG_VERSION:= 3.1.10
+PKG_VERSION:= 3.1.11
PKG_RELEASE:= 1
-PKG_MD5SUM:= d6159f7a664d95b4c150d580399d4400
-PKG_DESCR:= Utilities for XFS filesystems
+PKG_MD5SUM:= de9f1f45026c2f4e0776058d429ff4b6
+PKG_DESCR:= utilities for XFS filesystems
PKG_SECTION:= fs
PKG_BUILDDEP:= e2fsprogs util-linux ncurses
PKG_DEPENDS:= libuuid libpthread libblkid librt libgcc
@@ -16,8 +16,8 @@ PKG_URL:= http://oss.sgi.com/projects/xfs
PKG_SITES:= ftp://oss.sgi.com/projects/xfs/cmd_tars/ \
ftp://oss.sgi.com/projects/xfs/previous/cmd_tars/
+DISTFILES:= ${PKG_NAME}-${PKG_VERSION}.tar.gz
PKG_LIBC_DEPENDS:= glibc
-PKG_TARGET_DEPENDS:= !atmel-ngw100
include ${TOPDIR}/mk/package.mk
@@ -27,7 +27,7 @@ INSTALL_STYLE:= manual
TARGET_LDFLAGS+= -lrt
CONFIGURE_ARGS+= --enable-gettext=no \
--with-gnu-ld
-CONFIGURE_ENV+= DEBUG=" " OPTIMIZER=" "
+CONFIGURE_ENV+= DEBUG=" " OPTIMIZER=" " PLATFORM=linux
ALL_TARGET=
do-install:
diff --git a/package/xfsprogs/patches/patch-configure b/package/xfsprogs/patches/patch-configure
deleted file mode 100644
index a7b60b30e..000000000
--- a/package/xfsprogs/patches/patch-configure
+++ /dev/null
@@ -1,349 +0,0 @@
---- xfsprogs-3.1.10.orig/configure 2011-11-07 21:24:09.000000000 +0100
-+++ xfsprogs-3.1.10/configure 2013-04-04 16:41:02.000000000 +0200
-@@ -12609,346 +12609,6 @@ fi
-
-
-
--for ac_header in aio.h
--do
--as_ac_Header=`$as_echo "ac_cv_header_$ac_header" | $as_tr_sh`
--if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
-- { $as_echo "$as_me:$LINENO: checking for $ac_header" >&5
--$as_echo_n "checking for $ac_header... " >&6; }
--if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
-- $as_echo_n "(cached) " >&6
--fi
--ac_res=`eval 'as_val=${'$as_ac_Header'}
-- $as_echo "$as_val"'`
-- { $as_echo "$as_me:$LINENO: result: $ac_res" >&5
--$as_echo "$ac_res" >&6; }
--else
-- # Is the header compilable?
--{ $as_echo "$as_me:$LINENO: checking $ac_header usability" >&5
--$as_echo_n "checking $ac_header usability... " >&6; }
--cat >conftest.$ac_ext <<_ACEOF
--/* confdefs.h. */
--_ACEOF
--cat confdefs.h >>conftest.$ac_ext
--cat >>conftest.$ac_ext <<_ACEOF
--/* end confdefs.h. */
--$ac_includes_default
--#include <$ac_header>
--_ACEOF
--rm -f conftest.$ac_objext
--if { (ac_try="$ac_compile"
--case "(($ac_try" in
-- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-- *) ac_try_echo=$ac_try;;
--esac
--eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
--$as_echo "$ac_try_echo") >&5
-- (eval "$ac_compile") 2>conftest.er1
-- ac_status=$?
-- grep -v '^ *+' conftest.er1 >conftest.err
-- rm -f conftest.er1
-- cat conftest.err >&5
-- $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
-- (exit $ac_status); } && {
-- test -z "$ac_c_werror_flag" ||
-- test ! -s conftest.err
-- } && test -s conftest.$ac_objext; then
-- ac_header_compiler=yes
--else
-- $as_echo "$as_me: failed program was:" >&5
--sed 's/^/| /' conftest.$ac_ext >&5
--
-- ac_header_compiler=no
--fi
--
--rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
--{ $as_echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
--$as_echo "$ac_header_compiler" >&6; }
--
--# Is the header present?
--{ $as_echo "$as_me:$LINENO: checking $ac_header presence" >&5
--$as_echo_n "checking $ac_header presence... " >&6; }
--cat >conftest.$ac_ext <<_ACEOF
--/* confdefs.h. */
--_ACEOF
--cat confdefs.h >>conftest.$ac_ext
--cat >>conftest.$ac_ext <<_ACEOF
--/* end confdefs.h. */
--#include <$ac_header>
--_ACEOF
--if { (ac_try="$ac_cpp conftest.$ac_ext"
--case "(($ac_try" in
-- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-- *) ac_try_echo=$ac_try;;
--esac
--eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
--$as_echo "$ac_try_echo") >&5
-- (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
-- ac_status=$?
-- grep -v '^ *+' conftest.er1 >conftest.err
-- rm -f conftest.er1
-- cat conftest.err >&5
-- $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
-- (exit $ac_status); } >/dev/null && {
-- test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
-- test ! -s conftest.err
-- }; then
-- ac_header_preproc=yes
--else
-- $as_echo "$as_me: failed program was:" >&5
--sed 's/^/| /' conftest.$ac_ext >&5
--
-- ac_header_preproc=no
--fi
--
--rm -f conftest.err conftest.$ac_ext
--{ $as_echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
--$as_echo "$ac_header_preproc" >&6; }
--
--# So? What about this header?
--case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
-- yes:no: )
-- { $as_echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
--$as_echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
-- { $as_echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
--$as_echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
-- ac_header_preproc=yes
-- ;;
-- no:yes:* )
-- { $as_echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
--$as_echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
-- { $as_echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
--$as_echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
-- { $as_echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
--$as_echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
-- { $as_echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
--$as_echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
-- { $as_echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
--$as_echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
-- { $as_echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
--$as_echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
--
-- ;;
--esac
--{ $as_echo "$as_me:$LINENO: checking for $ac_header" >&5
--$as_echo_n "checking for $ac_header... " >&6; }
--if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
-- $as_echo_n "(cached) " >&6
--else
-- eval "$as_ac_Header=\$ac_header_preproc"
--fi
--ac_res=`eval 'as_val=${'$as_ac_Header'}
-- $as_echo "$as_val"'`
-- { $as_echo "$as_me:$LINENO: result: $ac_res" >&5
--$as_echo "$ac_res" >&6; }
--
--fi
--as_val=`eval 'as_val=${'$as_ac_Header'}
-- $as_echo "$as_val"'`
-- if test "x$as_val" = x""yes; then
-- cat >>confdefs.h <<_ACEOF
--#define `$as_echo "HAVE_$ac_header" | $as_tr_cpp` 1
--_ACEOF
--
--fi
--
--done
--
-- if test $ac_cv_header_aio_h = no; then
-- echo
-- echo 'FATAL ERROR: could not find a valid <aio.h> header.'
-- exit 1
-- fi
--
--
--for ac_func in lio_listio
--do
--as_ac_var=`$as_echo "ac_cv_func_$ac_func" | $as_tr_sh`
--{ $as_echo "$as_me:$LINENO: checking for $ac_func" >&5
--$as_echo_n "checking for $ac_func... " >&6; }
--if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
-- $as_echo_n "(cached) " >&6
--else
-- cat >conftest.$ac_ext <<_ACEOF
--/* confdefs.h. */
--_ACEOF
--cat confdefs.h >>conftest.$ac_ext
--cat >>conftest.$ac_ext <<_ACEOF
--/* end confdefs.h. */
--/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
-- For example, HP-UX 11i <limits.h> declares gettimeofday. */
--#define $ac_func innocuous_$ac_func
--
--/* System header to define __stub macros and hopefully few prototypes,
-- which can conflict with char $ac_func (); below.
-- Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
-- <limits.h> exists even on freestanding compilers. */
--
--#ifdef __STDC__
--# include <limits.h>
--#else
--# include <assert.h>
--#endif
--
--#undef $ac_func
--
--/* Override any GCC internal prototype to avoid an error.
-- Use char because int might match the return type of a GCC
-- builtin and then its argument prototype would still apply. */
--#ifdef __cplusplus
--extern "C"
--#endif
--char $ac_func ();
--/* The GNU C library defines this for functions which it implements
-- to always fail with ENOSYS. Some functions are actually named
-- something starting with __ and the normal name is an alias. */
--#if defined __stub_$ac_func || defined __stub___$ac_func
--choke me
--#endif
--
--int
--main ()
--{
--return $ac_func ();
-- ;
-- return 0;
--}
--_ACEOF
--rm -f conftest.$ac_objext conftest$ac_exeext
--if { (ac_try="$ac_link"
--case "(($ac_try" in
-- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-- *) ac_try_echo=$ac_try;;
--esac
--eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
--$as_echo "$ac_try_echo") >&5
-- (eval "$ac_link") 2>conftest.er1
-- ac_status=$?
-- grep -v '^ *+' conftest.er1 >conftest.err
-- rm -f conftest.er1
-- cat conftest.err >&5
-- $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
-- (exit $ac_status); } && {
-- test -z "$ac_c_werror_flag" ||
-- test ! -s conftest.err
-- } && test -s conftest$ac_exeext && {
-- test "$cross_compiling" = yes ||
-- $as_test_x conftest$ac_exeext
-- }; then
-- eval "$as_ac_var=yes"
--else
-- $as_echo "$as_me: failed program was:" >&5
--sed 's/^/| /' conftest.$ac_ext >&5
--
-- eval "$as_ac_var=no"
--fi
--
--rm -rf conftest.dSYM
--rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
-- conftest$ac_exeext conftest.$ac_ext
--fi
--ac_res=`eval 'as_val=${'$as_ac_var'}
-- $as_echo "$as_val"'`
-- { $as_echo "$as_me:$LINENO: result: $ac_res" >&5
--$as_echo "$ac_res" >&6; }
--as_val=`eval 'as_val=${'$as_ac_var'}
-- $as_echo "$as_val"'`
-- if test "x$as_val" = x""yes; then
-- cat >>confdefs.h <<_ACEOF
--#define `$as_echo "HAVE_$ac_func" | $as_tr_cpp` 1
--_ACEOF
--
--fi
--done
--
-- if test $ac_cv_func_lio_listio = yes; then
-- librt=""
-- else
--
--{ $as_echo "$as_me:$LINENO: checking for lio_listio in -lrt" >&5
--$as_echo_n "checking for lio_listio in -lrt... " >&6; }
--if test "${ac_cv_lib_rt_lio_listio+set}" = set; then
-- $as_echo_n "(cached) " >&6
--else
-- ac_check_lib_save_LIBS=$LIBS
--LIBS="-lrt -lpthread $LIBS"
--cat >conftest.$ac_ext <<_ACEOF
--/* confdefs.h. */
--_ACEOF
--cat confdefs.h >>conftest.$ac_ext
--cat >>conftest.$ac_ext <<_ACEOF
--/* end confdefs.h. */
--
--/* Override any GCC internal prototype to avoid an error.
-- Use char because int might match the return type of a GCC
-- builtin and then its argument prototype would still apply. */
--#ifdef __cplusplus
--extern "C"
--#endif
--char lio_listio ();
--int
--main ()
--{
--return lio_listio ();
-- ;
-- return 0;
--}
--_ACEOF
--rm -f conftest.$ac_objext conftest$ac_exeext
--if { (ac_try="$ac_link"
--case "(($ac_try" in
-- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-- *) ac_try_echo=$ac_try;;
--esac
--eval ac_try_echo="\"\$as_me:$LINENO: $ac_try_echo\""
--$as_echo "$ac_try_echo") >&5
-- (eval "$ac_link") 2>conftest.er1
-- ac_status=$?
-- grep -v '^ *+' conftest.er1 >conftest.err
-- rm -f conftest.er1
-- cat conftest.err >&5
-- $as_echo "$as_me:$LINENO: \$? = $ac_status" >&5
-- (exit $ac_status); } && {
-- test -z "$ac_c_werror_flag" ||
-- test ! -s conftest.err
-- } && test -s conftest$ac_exeext && {
-- test "$cross_compiling" = yes ||
-- $as_test_x conftest$ac_exeext
-- }; then
-- ac_cv_lib_rt_lio_listio=yes
--else
-- $as_echo "$as_me: failed program was:" >&5
--sed 's/^/| /' conftest.$ac_ext >&5
--
-- ac_cv_lib_rt_lio_listio=no
--fi
--
--rm -rf conftest.dSYM
--rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
-- conftest$ac_exeext conftest.$ac_ext
--LIBS=$ac_check_lib_save_LIBS
--fi
--{ $as_echo "$as_me:$LINENO: result: $ac_cv_lib_rt_lio_listio" >&5
--$as_echo "$ac_cv_lib_rt_lio_listio" >&6; }
--if test "x$ac_cv_lib_rt_lio_listio" = x""yes; then
-- cat >>confdefs.h <<_ACEOF
--#define HAVE_LIBRT 1
--_ACEOF
--
-- LIBS="-lrt $LIBS"
--
--else
--
-- echo
-- echo 'FATAL ERROR: could not find a library with lio_listio.'
-- exit 1
--fi
--
-- librt="-lrt"
-- fi
--
--
--
-
-
-
diff --git a/package/xfsprogs/patches/patch-fsr_xfs_fsr_c b/package/xfsprogs/patches/patch-fsr_xfs_fsr_c
index f4abf974a..f220d0d14 100644
--- a/package/xfsprogs/patches/patch-fsr_xfs_fsr_c
+++ b/package/xfsprogs/patches/patch-fsr_xfs_fsr_c
@@ -1,5 +1,5 @@
---- xfsprogs-3.1.10.orig/fsr/xfs_fsr.c 2012-12-13 22:29:24.000000000 +0100
-+++ xfsprogs-3.1.10/fsr/xfs_fsr.c 2013-04-04 16:39:27.000000000 +0200
+--- xfsprogs-3.1.11.orig/fsr/xfs_fsr.c 2013-05-08 20:14:32.000000000 +0200
++++ xfsprogs-3.1.11/fsr/xfs_fsr.c 2014-05-06 07:55:04.000000000 +0200
@@ -35,7 +35,6 @@
#include <sys/wait.h>
#include <sys/vfs.h>
@@ -8,7 +8,7 @@
#ifndef XFS_XFLAG_NODEFRAG
-@@ -1032,6 +1031,7 @@ fsr_setup_attr_fork(
+@@ -1034,6 +1033,7 @@ fsr_setup_attr_fork(
* use the old method if we have attr1 or the kernel does not yet
* support passing the fork offset in the bulkstat data.
*/
@@ -16,7 +16,7 @@
if (!(fsgeom.flags & XFS_FSOP_GEOM_FLAGS_ATTR2) ||
bstatp->bs_forkoff == 0) {
/* attr1 */
-@@ -1042,6 +1042,7 @@ fsr_setup_attr_fork(
+@@ -1044,6 +1044,7 @@ fsr_setup_attr_fork(
}
goto out;
}
@@ -24,7 +24,7 @@
/* attr2 w/ fork offsets */
-@@ -1079,6 +1080,7 @@ fsr_setup_attr_fork(
+@@ -1081,6 +1082,7 @@ fsr_setup_attr_fork(
* If there is no attribute, then we need to create one to get
* an attribute fork at the default location.
*/
@@ -32,7 +32,7 @@
if (!tbstat.bs_forkoff) {
ret = fsetxattr(tfd, name, "XX", 2, XATTR_CREATE);
if (ret) {
-@@ -1087,7 +1089,7 @@ fsr_setup_attr_fork(
+@@ -1089,7 +1091,7 @@ fsr_setup_attr_fork(
}
continue;
}
@@ -41,7 +41,7 @@
/*
* make a progress check so we don't get stuck trying to extend
* a large btree form attribute fork.
-@@ -1126,11 +1128,13 @@ fsr_setup_attr_fork(
+@@ -1128,11 +1130,13 @@ fsr_setup_attr_fork(
}
/* we need to grow the attr fork, so create another attr */